# $Revision: 1.19 $, $Date: 2002/11/11 03:38:10 $
Summary:	PhotoCD tool collection
Summary(pl):	Narzdzia do obsugi formatu PhotoCD
Name:		xpcd
Version:	2.08
Release:	7
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.in-berlin.de/User/kraxel/dl/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-gimp.patch
Patch1:		%{name}-FHS.patch
Patch2:		%{name}-shared.patch
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
%ifarch %{ix86} alpha
BuildRequires:	svgalib-devel
%endif
BuildRequires:	Xaw3d-devel
BuildRequires:	gimp-devel >= 0.99
Requires:	libpcd = %{version}

%define		_xprefix	/usr/X11R6
%define		_xbindir	%{_xprefix}/bin
%define		_xlibdir	%{_xprefix}/lib
%define		_xmandir	%{_xprefix}/man

%define		_prefix		/usr

%description
This is a PhotoCD tool collection. The main application - xpcd - is a
comfortable, X11-based PhotoCD decoding/viewing program. Also included
is pcdtoppm, this is a command line based PhotoCD-to-PPM/JPEG
converter.

%description -l pl
Zestaw narzdzi do obrbki formatu PhotoCD. Gwna aplikacja (xpcd)
jest programem pod X do dekodowania i ogldania obrazkw PhotoCD.
pcdtoppm jest konwerterem na ppm i jpg dziaajcym z linii polece.

%package svga
Summary:	svgalib viewer for PhotoCD images
Summary(pl):	Przegldarka PhotoCD korzystajca z svgalib
Group:		Applications/Graphics
Requires:	libpcd = %{version}

%description svga
svgalib viewer for PhotoCD images.

%description svga -l pl
Przegldarka obrazkw PhotoCD korzystajca z svgalib.

%package gimp
Summary:	GIMP plugin, makes xpcd and gimp work hand in hand.
Summary(pl):	Wtyczka do GIMP-a dodajca obsug xpcd.
Group:		X11/Applications/Graphics
Requires:	xpcd = %{version}
Requires:	libpcd = %{version}

%description gimp
This is a GIMP 0.99 plugin, it allows xpcd to load images directly
into The GIMP. If you'll open a PhotoCD file within gimp, it will be
passed to xpcd.

%description gimp -l pl
Wtyczka do GIMP-a >= 0.99, pozwalajca wczytywa obrazki PhotoCD
bezporednio do GIMP-a. Otworzenie GIMP-em pliku PhotoCD spowoduje
przekazanie go do xpcd.

%package -n libpcd
Summary:	PhotoCD shared library
Summary(pl):	Biblioteka dzielona do obsugi PhotoCD
Group:		Libraries

%description -n libpcd
This is PhotoCD shared library.

%description -n libpcd -l pl
Biblioteka dzielona do obsugi PhotoCD.

%package -n libpcd-devel
Summary:	libpcd header files
Summary(pl):	Pliki nagwkowe do libpcd
Group:		Development/Libraries
Requires:	libpcd = %{version}

%description -n libpcd-devel
libpcd header file.

%description -n libpcd-devel -l pl
Pliki nagwkowe do biblioteki libpcd.

%package -n libpcd-static
Summary:	libpcd static library
Summary(pl):	Biblioteka statyczna libpcd
Group:		Development/Libraries
Requires:	libpcd-devel = %{version}

%description -n libpcd-static
Static version of libpcd.

%description -n libpcd-static -l pl
Statyczna wersja biblioteki libpcd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
CFLAGS="%{rpmcflags} -DGIMP_ENABLE_COMPAT_CRUFT"
%configure \
%ifnarch %{ix86} alpha
	    --without-svga
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_xbindir},%{_xmandir}/man1} \
	$RPM_BUILD_ROOT{%{_applnkdir}/Graphics,%{_pixmapsdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT SUID_ROOT= install
%{__make} DESTDIR=$RPM_BUILD_ROOT install-lib -C libpcd

# move X stuff to _x*dir
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/xpcd.1 $RPM_BUILD_ROOT%{_xmandir}/man1
mv -f $RPM_BUILD_ROOT%{_bindir}/xpcd $RPM_BUILD_ROOT%{_xbindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libpcd -p /sbin/ldconfig
%postun	-n libpcd -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README bench
%attr(755,root,root) %{_xbindir}/xpcd
%attr(755,root,root) %{_bindir}/pcdtoppm
%{_applnkdir}/Graphics/*
%{_pixmapsdir}/*
%{_xmandir}/man1/xpcd.1*
%{_mandir}/man1/pcdtoppm.1*
%dir %{_xprefix}/lib/X11/xpcd
%{_xprefix}/lib/X11/xpcd/system.xpcdrc
%{_xprefix}/lib/X11/app-defaults/Xpcd-2
%lang(de) %{_xprefix}/lib/X11/de/app-defaults/Xpcd-2
%lang(da) %{_xprefix}/lib/X11/da/app-defaults/Xpcd-2
%{_xprefix}/include/X11/pixmaps/xpcd-color.xpm
%{_xprefix}/include/X11/pixmaps/xpcd-gray.xpm

%ifarch %{ix86} alpha
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcdview
%attr(644,root,root) %{_mandir}/man1/pcdview.1*
%endif

%files gimp
%defattr(644,root,root,755)
%attr(755,root,root) %{_xprefix}/lib/gimp/*/plug-ins/xpcd-gate

%files -n libpcd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpcd.so.*.*

%files -n libpcd-devel
%defattr(644,root,root,755)
%{_libdir}/libpcd.so
%attr(755,root,root) %{_libdir}/libpcd.la
%attr(644,root,root) %{_includedir}/pcd.h
%doc libpcd/README.html

%files -n libpcd-static
%defattr(644,root,root,755)
%{_libdir}/libpcd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xpcd.spec,v $
Revision 1.19  2002/11/11 03:38:10  ankry
- added desktop and icon, rel. 7

Revision 1.18  2002/06/18 21:49:43  qboosh
- fixed on ix86

Revision 1.17  2002/06/18 21:08:56  kloczek
- cosmetics in %files,
- release 6.

Revision 1.16  2002/06/18 20:20:34  marcus
- fixed on ppc

Revision 1.15  2002/06/12 20:57:03  kloczek
- use new %doc and cosmetics.

Revision 1.14  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/24 22:23:59  marcus
- removed ppc - svga4ggi-devel doesn't provide vgagl.h

Revision 1.12  2002/04/24 22:21:43  marcus
- svgalib is on alpha and ppc too

Revision 1.11  2002/04/12 18:42:23  marcus
- rel.5.

Revision 1.10  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/09 19:01:57  qboosh
- BuildRequires: libtool (used explicitely in makefiles)
- buildrequire svgalib-devel only on x86

Revision 1.7  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/03/14 17:44:16  qboosh
- 755 on .la file
- release 4

Revision 1.5  2001/03/07 19:04:00  qboosh
- spec cleanup

Revision 1.4  2001/03/07 00:56:16  qboosh
- added missing dir: %%{_xlibdir}/X11/xpcd
- pl translations
- release 3

Revision 1.3  2001/01/26 18:55:42  qboosh
- fixed libtool script
- release 2

Revision 1.2  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.1  2001/01/05 23:43:36  qboosh
- prepared for PLD
- build both shared and static libraries
- libpcd*, -svga and -gimp subpackages
